Telegram APIStories
stories.getStoryViewsList
Obtain the list of users that have viewed a specific story we posted
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Obtain the list of users that have viewed a specific story we posted
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/stories.getStoryViewsList" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "id": 0, "offset": "string", "limit": 0 } }'{ "result": { "_": "stories.storyViewsList", "count": 0, "viewsCount": 0, "forwardsCount": 0, "reactionsCount": 0, "views": [ { "_": "storyView", "blocked": true, "blockedMyStoriesFrom": true, "userId": 0, "date": 0, "reaction": { "_": "reactionEmpty" } } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ], "nextOffset": "string" }}getStoryReactionsList
Get the [reaction](https://core.telegram.org/api/reactions) and interaction list of a [story](https://core.telegram.org/api/stories) posted to a channel, along with the sender of each reaction. Can only be used by channel admins.
incrementStoryViews
Increment the view counter of one or more stories.